Jump to content

Léo Castro

Just Joined
  • Content count

    1
  • Joined

  • Last visited

About Léo Castro

  • Rank
    InsanelyMac Protégé
  1. O que preciso?

    Sou novo no uso do leopard, tenho um vostro 1410 Quero instalar o leopard mais atual nele e gostaria dos links para baixar pois nao achei! Agradeço!
×